# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.0.0](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.16...babel-preset-kyt-core@2.0.0) (2022-02-25)


* build!: rm `targets`, add .browserslistrc (#1003) ([fbba77c](https://github.com/nytimes/kyt/commit/fbba77cd9f936427f11a7956b7f32b026d19eb4a)), closes [#1003](https://github.com/nytimes/kyt/issues/1003)


### BREAKING CHANGES

* `targets` are no longer set for `@babel/preset-env`.

In this commit, we introduced a breaking change in the way that browser
`targets` work, namely in that the targets are no longer set and the
user is expected to provide their own `.browserslistrc` or similar
configuration.

The previous behavior was to have browser `targets`, which overrides any
other configuration, including `.browserslistrc`.

From the `@babel/preset-env` documentation[^1]:
> By default `@babel/preset-env` will use browserslist config sources
> unless either the `targets` or `ignoreBrowserslistConfig` options are
> set.

When upgrading to the next major version that includes this change, *you
must provide your own configuration* or else Babel will default to using
the oldest browsers available[^2].

1. https://babeljs.io/docs/en/babel-preset-env#browserslist-integration
2. https://babeljs.io/docs/en/options#no-targets





## [1.2.16](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.15...babel-preset-kyt-core@1.2.16) (2021-09-24)


### Bug Fixes

* silence "loose" warnings from babel plugin(s) ([#907](https://github.com/nytimes/kyt/issues/907)) ([c931081](https://github.com/nytimes/kyt/commit/c93108153efc4e718db265f1b5a171abc80d3c97)), closes [babel/babel#13176](https://github.com/babel/babel/issues/13176) [#906](https://github.com/nytimes/kyt/issues/906)





## [1.2.15](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.14...babel-preset-kyt-core@1.2.15) (2021-08-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.14](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.13...babel-preset-kyt-core@1.2.14) (2021-07-27)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.13](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.12...babel-preset-kyt-core@1.2.13) (2021-07-01)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.12](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.11...babel-preset-kyt-core@1.2.12) (2021-06-24)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.11](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.10...babel-preset-kyt-core@1.2.11) (2021-06-15)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.10](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.9...babel-preset-kyt-core@1.2.10) (2021-06-08)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.9](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.8...babel-preset-kyt-core@1.2.9) (2021-06-01)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.8](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.7...babel-preset-kyt-core@1.2.8) (2021-06-01)


### Bug Fixes

* add loose to test env in babel core ([#802](https://github.com/nytimes/kyt/issues/802)) ([0ccb1d3](https://github.com/nytimes/kyt/commit/0ccb1d3c0fc6f8ffd4fb1c9e100fce662cd2216c))





## [1.2.7](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.6...babel-preset-kyt-core@1.2.7) (2021-06-01)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.6](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.5...babel-preset-kyt-core@1.2.6) (2021-04-26)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.5](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.4...babel-preset-kyt-core@1.2.5) (2021-04-19)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.4](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.3...babel-preset-kyt-core@1.2.4) (2021-04-15)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.3](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.2...babel-preset-kyt-core@1.2.3) (2021-04-15)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.2](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.1...babel-preset-kyt-core@1.2.2) (2021-03-31)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.2.1](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.2.0...babel-preset-kyt-core@1.2.1) (2021-03-23)

**Note:** Version bump only for package babel-preset-kyt-core





# [1.2.0](https://github.com/nytimes/kyt/compare/babel-preset-kyt-core@1.1.22...babel-preset-kyt-core@1.2.0) (2021-03-13)


### Features

* add babel preset with typescript support ([#704](https://github.com/nytimes/kyt/issues/704)) ([066d24a](https://github.com/nytimes/kyt/commit/066d24ad31fef2ab8777a9ed584901454b59a2e3)), closes [#694](https://github.com/nytimes/kyt/issues/694)





## [1.1.22](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.21...babel-preset-kyt-core@1.1.22) (2021-03-10)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.21](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.20...babel-preset-kyt-core@1.1.21) (2021-03-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.20](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.19...babel-preset-kyt-core@1.1.20) (2021-03-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.19](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.18...babel-preset-kyt-core@1.1.19) (2021-03-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.18](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.17...babel-preset-kyt-core@1.1.18) (2021-03-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.17](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.16...babel-preset-kyt-core@1.1.17) (2021-03-02)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.16](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.15...babel-preset-kyt-core@1.1.16) (2021-02-25)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.15](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.14...babel-preset-kyt-core@1.1.15) (2021-02-23)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.14](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.13...babel-preset-kyt-core@1.1.14) (2021-02-23)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.13](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.12...babel-preset-kyt-core@1.1.13) (2021-02-23)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.12](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.11...babel-preset-kyt-core@1.1.12) (2021-02-23)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.11](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.10...babel-preset-kyt-core@1.1.11) (2021-02-22)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.10](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.9...babel-preset-kyt-core@1.1.10) (2021-02-04)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.9](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.8...babel-preset-kyt-core@1.1.9) (2021-01-13)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.8](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.7...babel-preset-kyt-core@1.1.8) (2020-12-30)


### Bug Fixes

* delete old files before compiling ([8ef2c89](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/commit/8ef2c89a9a2f46a287803e293563cdea3116d77d))





## [1.1.7](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.6...babel-preset-kyt-core@1.1.7) (2020-12-29)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.6](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.5...babel-preset-kyt-core@1.1.6) (2020-12-10)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.5](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.4...babel-preset-kyt-core@1.1.5) (2020-12-07)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.4](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.3...babel-preset-kyt-core@1.1.4) (2020-11-24)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.3](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.2...babel-preset-kyt-core@1.1.3) (2020-11-11)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.2](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.1...babel-preset-kyt-core@1.1.2) (2020-10-26)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.1.1](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.1.0...babel-preset-kyt-core@1.1.1) (2020-10-26)

**Note:** Version bump only for package babel-preset-kyt-core





# [1.1.0](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.6...babel-preset-kyt-core@1.1.0) (2020-10-26)


### Features

* add eslint-plugin-kyt to the repo (again) ([#683](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/issues/683)) ([bfbf77a](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/commit/bfbf77a3f0f2f3cb624d9cfb10b42a7b2bc2f76d))





## [1.0.6](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.5...babel-preset-kyt-core@1.0.6) (2020-10-19)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.0.5](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.4...babel-preset-kyt-core@1.0.5) (2020-09-11)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.0.4](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.3...babel-preset-kyt-core@1.0.4) (2020-08-20)


### Bug Fixes

* proper api for commander args, update most deps to latest ([#673](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/issues/673)) ([a62705d](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/commit/a62705da81bbec2aa04d7a69b49974e68bf0dc95))





## [1.0.3](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.2...babel-preset-kyt-core@1.0.3) (2020-07-13)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.0.2](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.1...babel-preset-kyt-core@1.0.2) (2020-06-23)

**Note:** Version bump only for package babel-preset-kyt-core





## [1.0.1](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.0-beta.40.2...babel-preset-kyt-core@1.0.1) (2020-06-19)

**Note:** Version bump only for package babel-preset-kyt-core





# [1.0.0](http://github.com/nytimes/kyt/packages/kyt-babel-preset-core/compare/babel-preset-kyt-core@1.0.0-beta.40.2...babel-preset-kyt-core@1.0.0) (2020-06-19)

**Note:** Version bump only for package babel-preset-kyt-core





# 1.0.0-beta.40.2 (2020-06-18)



# 1.0.0-beta.40.1 (2020-05-28)



# 1.0.0-beta.40.0 (2020-05-15)



# 1.0.0-1.0.0-beta.40.0 (2020-05-15)



# 1.0.0-beta.38 (2020-04-15)



# 1.0.0-beta.36 (2020-04-13)



# 1.0.0-beta.33 (2020-03-27)



# 1.0.0-alpha.6 (2020-02-13)



# 1.0.0-alpha.5 (2020-02-10)



# 0.9.0 (2017-10-20)

**Note:** Version bump only for package babel-preset-kyt-core
